Package com.smartgwt.client.widgets

# Class SavedSearchEditor

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.layout.Layout
com.smartgwt.client.widgets.layout.VLayout
com.smartgwt.client.widgets.SavedSearchEditor

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`, `HasMembersChangedHandlers`

public class SavedSearchEditor extends VLayout
User Interface component allowing a user to add a new saved search or edit an existing search. Automatically used by `SavedSearchItem` and `ListGrid.canSaveSearches`; cannot be used directly and is documented only for skinning and internationalization purposes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavedSearchEditor()`
  `SavedSearchEditor(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `String`
  `getAddSearchText()`
  `IButton`
  `getCancelButton()`
  Button used to cancel changes.
  `CheckboxItem`
  `getDefaultSearchCheckbox()`
  Checkbox shown when `isAdmin` is true and the current search is marked as a shared search (via the `sharedSearchCheckbox`), allowing an admin to designate a search as the default search for users that have not chosen some other search as their default.
  `String`
  `getDefaultSearchTitle()`
  Title for the `sharedSearchCheckbox`.
  `String`
  `getEditSearchText()`
  `FilterBuilder`
  `getFilterBuilder()`
  FilterBuilder used to enter criteria.
  `String`
  `getGridAddSearchText()`
  `Boolean`
  `getIsAdmin()`
  Whether the editor is in admin mode, in which case the `sharedSearchCheckbox` appears to allow admins to define shared searches, and the `defaultSearchCheckbox` appears to enable an admin to designate a search as the (shared) default.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `SearchEditorMode`
  `getMode()`
  In "normal" the search editor shows a `FilterBuilder` for editing criteria.
  `static SavedSearchEditor`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getOverwriteSearchConfirmationMessage()`
  Confirmation message to show when a user attempts to save a view with a searchName, componentID, and (if present) screenID / projectID which collides with another existing saved view.
  `String`
  `getOverwriteSharedSearchConfirmationMessage()`
  Confirmation message to show when a user attempts to save a view with a searchName, componentID, and (if present) screenID / projectID which collides with another existing shared saved view.
  `Label`
  `getPromptLabel()`
  Label at the top of the interface, used to show instruction text, which is either `addSearchText` or `editSearchText` depending on whether the user is editing a pre-existing search.
  `IButton`
  `getSaveButton()`
  Button used to save changes.
  `TextItem`
  `getSearchNameItem()`
  TextItem where the user enters the name for the saved search.
  `CheckboxItem`
  `getSharedSearchCheckbox()`
  Checkbox shown when `isAdmin` is true, allowing an admin to designate a search as an admin search that all users will see.
  `String`
  `getSharedSearchTitle()`
  Title for the `sharedSearchCheckbox`.
  `String`
  `getValidationFailedMessage()`
  Notification message to show to the user in a warn dialog when an attempted save fails due to server validation error(s).
  `SavedSearchEditor`
  `setAddSearchText(String addSearchText)`
  `static void`
  `setDefaultProperties(SavedSearchEditor savedSearchEditorProperties)`
  Class level method to set the default properties of this class.
  `SavedSearchEditor`
  `setDefaultSearchTitle(String defaultSearchTitle)`
  Title for the `sharedSearchCheckbox`.
  `SavedSearchEditor`
  `setEditSearchText(String editSearchText)`
  `SavedSearchEditor`
  `setGridAddSearchText(String gridAddSearchText)`
  `SavedSearchEditor`
  `setIsAdmin(Boolean isAdmin)`
  Whether the editor is in admin mode, in which case the `sharedSearchCheckbox` appears to allow admins to define shared searches, and the `defaultSearchCheckbox` appears to enable an admin to designate a search as the (shared) default.
  `LogicalStructureObject`
  `setLogicalStructure(SavedSearchEditorLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `SavedSearchEditor`
  `setMode(SearchEditorMode mode)`
  In "normal" the search editor shows a `FilterBuilder` for editing criteria.
  `SavedSearchEditor`
  `setOverwriteSearchConfirmationMessage(String overwriteSearchConfirmationMessage)`
  Confirmation message to show when a user attempts to save a view with a searchName, componentID, and (if present) screenID / projectID which collides with another existing saved view.
  `SavedSearchEditor`
  `setOverwriteSharedSearchConfirmationMessage(String overwriteSharedSearchConfirmationMessage)`
  Confirmation message to show when a user attempts to save a view with a searchName, componentID, and (if present) screenID / projectID which collides with another existing shared saved view.
  `SavedSearchEditor`
  `setSharedSearchTitle(String sharedSearchTitle)`
  Title for the `sharedSearchCheckbox`.
  `SavedSearchEditor`
  `setValidationFailedMessage(String validationFailedMessage)`
  Notification message to show to the user in a warn dialog when an attempted save fails due to server validation error(s).

  ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

  `setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

  `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEditProxyConstructor, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersAsStringArray, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit, onInit_Layout, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, replaceMember, revealChild, revealChild, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEditProxyConstructor, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setSuppressRedraw, setTabIndex, setTestDataContext, setTitle, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### SavedSearchEditor

    public SavedSearchEditor()

  - ### SavedSearchEditor

    public SavedSearchEditor(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SavedSearchEditor getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `VLayout`

  - ### setAddSearchText

    public SavedSearchEditor setAddSearchText(String addSearchText) throws IllegalStateException
    Parameters:
      `addSearchText` - New addSearchText value. Default value is "Enter a name for your Saved View, then enter criteria below."
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getAddSearchText

    public String getAddSearchText()
    Returns:
      Current addSearchText value. Default value is "Enter a name for your Saved View, then enter criteria below."

  - ### getCancelButton

    public IButton getCancelButton() throws IllegalStateException
    Button used to cancel changes.

    This component is an AutoChild named "cancelButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current cancelButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getDefaultSearchCheckbox

    public CheckboxItem getDefaultSearchCheckbox() throws IllegalStateException
    Checkbox shown when `isAdmin` is true and the current search is marked as a shared search (via the `sharedSearchCheckbox`), allowing an admin to designate a search as the default search for users that have not chosen some other search as their default.

    If checked, the `SavedSearches.setDefaultAdminSearchOperation` will be invoked after the search being edited has been saved. This will typically be invoked as a `queued request` in the same transaction that adds or updates the search being edited.

    See the Saving default searches section of the `SavedSearches overview` for more information on marking searches as a default.

    Only ever appears if there is a `SavedSearches.adminDefaultField` in the `SavedSearches.defaultDataSource`.

    Titled with `defaultSearchTitle`.

    This component is an AutoChild named "defaultSearchCheckbox". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current defaultSearchCheckbox value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setDefaultSearchTitle

    public SavedSearchEditor setDefaultSearchTitle(String defaultSearchTitle) throws IllegalStateException
    Title for the `sharedSearchCheckbox`.
    Parameters:
      `defaultSearchTitle` - New defaultSearchTitle value. Default value is "Mark as default"
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getDefaultSearchTitle

    public String getDefaultSearchTitle()
    Title for the `sharedSearchCheckbox`.
    Returns:
      Current defaultSearchTitle value. Default value is "Mark as default"

  - ### setEditSearchText

    public SavedSearchEditor setEditSearchText(String editSearchText) throws IllegalStateException
    Parameters:
      `editSearchText` - New editSearchText value. Default value is "Enter a new name for your Saved View, and edit criteria below."
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEditSearchText

    public String getEditSearchText()
    Returns:
      Current editSearchText value. Default value is "Enter a new name for your Saved View, and edit criteria below."

  - ### getFilterBuilder

    public FilterBuilder getFilterBuilder() throws IllegalStateException
    FilterBuilder used to enter criteria.

    By default, `FilterBuilder.topOperatorAppearance` is set to "radio" (considered the simpler mode) and `FilterBuilder.showModeSwitcher` is set true.

    If existing criteria cannot be displayed in simple ("radio") mode, advanced mode is automatically chosen.

    This component is an AutoChild named "filterBuilder". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current filterBuilder value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setGridAddSearchText

    public SavedSearchEditor setGridAddSearchText(String gridAddSearchText) throws IllegalStateException
    Parameters:
      `gridAddSearchText` - New gridAddSearchText value. Default value is "Enter a name for your Saved View. The current configuration and filter criteria of the grid will be saved."
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getGridAddSearchText

    public String getGridAddSearchText()
    Returns:
      Current gridAddSearchText value. Default value is "Enter a name for your Saved View. The current configuration and filter criteria of the grid will be saved."

  - ### setIsAdmin

    public SavedSearchEditor setIsAdmin(Boolean isAdmin) throws IllegalStateException
    Whether the editor is in admin mode, in which case the `sharedSearchCheckbox` appears to allow admins to define shared searches, and the `defaultSearchCheckbox` appears to enable an admin to designate a search as the (shared) default.

    If `SavedSearches.adminRole` is defined and `Authentication.hasRole()` indicates the current user has the `adminRole`, `isAdmin` is true by default, otherwise false.

    Parameters:
      `isAdmin` - New isAdmin value. Default value is null
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getIsAdmin

    public Boolean getIsAdmin()
    Whether the editor is in admin mode, in which case the `sharedSearchCheckbox` appears to allow admins to define shared searches, and the `defaultSearchCheckbox` appears to enable an admin to designate a search as the (shared) default.

    If `SavedSearches.adminRole` is defined and `Authentication.hasRole()` indicates the current user has the `adminRole`, `isAdmin` is true by default, otherwise false.

    Returns:
      Current isAdmin value. Default value is null

  - ### setMode

    public SavedSearchEditor setMode(SearchEditorMode mode) throws IllegalStateException
    In "normal" the search editor shows a `FilterBuilder` for editing criteria. In "grid" mode there is only a field for naming (or renaming) a search, since the grid has built-in interfaces for editing criteria.
    Parameters:
      `mode` - New mode value. Default value is "normal"
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getMode

    public SearchEditorMode getMode()
    In "normal" the search editor shows a `FilterBuilder` for editing criteria. In "grid" mode there is only a field for naming (or renaming) a search, since the grid has built-in interfaces for editing criteria.
    Returns:
      Current mode value. Default value is "normal"

  - ### setOverwriteSearchConfirmationMessage

    public SavedSearchEditor setOverwriteSearchConfirmationMessage(String overwriteSearchConfirmationMessage)
    Confirmation message to show when a user attempts to save a view with a searchName, componentID, and (if present) screenID / projectID which collides with another existing saved view.

    This is the message that will be shown in a confirmation dialog if, for example, a user attempts to save a new view with the same name as an existing saved view for the same grid.

    Parameters:
      `overwriteSearchConfirmationMessage` - New overwriteSearchConfirmationMessage value. Default value is "There is already a Saved View with this name - Overwrite?"
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls

  - ### getOverwriteSearchConfirmationMessage

    public String getOverwriteSearchConfirmationMessage()
    Confirmation message to show when a user attempts to save a view with a searchName, componentID, and (if present) screenID / projectID which collides with another existing saved view.

    This is the message that will be shown in a confirmation dialog if, for example, a user attempts to save a new view with the same name as an existing saved view for the same grid.

    Returns:
      Current overwriteSearchConfirmationMessage value. Default value is "There is already a Saved View with this name - Overwrite?"

  - ### setOverwriteSharedSearchConfirmationMessage

    public SavedSearchEditor setOverwriteSharedSearchConfirmationMessage(String overwriteSharedSearchConfirmationMessage)
    Confirmation message to show when a user attempts to save a view with a searchName, componentID, and (if present) screenID / projectID which collides with another existing shared saved view.

    This is the message that will be shown in a confirmation dialog if, for example, a user attempts to save a new view with the same name as an existing shared saved view for the same grid.

    Parameters:
      `overwriteSharedSearchConfirmationMessage` - New overwriteSharedSearchConfirmationMessage value. Default value is "There is already a shared Saved View with this name - Overwrite?"
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls

  - ### getOverwriteSharedSearchConfirmationMessage

    public String getOverwriteSharedSearchConfirmationMessage()
    Confirmation message to show when a user attempts to save a view with a searchName, componentID, and (if present) screenID / projectID which collides with another existing shared saved view.

    This is the message that will be shown in a confirmation dialog if, for example, a user attempts to save a new view with the same name as an existing shared saved view for the same grid.

    Returns:
      Current overwriteSharedSearchConfirmationMessage value. Default value is "There is already a shared Saved View with this name - Overwrite?"

  - ### getPromptLabel

    public Label getPromptLabel() throws IllegalStateException
    Label at the top of the interface, used to show instruction text, which is either `addSearchText` or `editSearchText` depending on whether the user is editing a pre-existing search.

    For `grid mode`, when adding a new search, the instructions text is `gridAddSearchText` instead.

    This component is an AutoChild named "promptLabel". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current promptLabel value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getSaveButton

    public IButton getSaveButton() throws IllegalStateException
    Button used to save changes.

    This component is an AutoChild named "saveButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current saveButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getSearchNameItem

    public TextItem getSearchNameItem() throws IllegalStateException
    TextItem where the user enters the name for the saved search.

    This component is an AutoChild named "searchNameItem". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current searchNameItem value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getSharedSearchCheckbox

    public CheckboxItem getSharedSearchCheckbox() throws IllegalStateException
    Checkbox shown when `isAdmin` is true, allowing an admin to designate a search as an admin search that all users will see. Titled with `sharedSearchTitle`.

    This component is an AutoChild named "sharedSearchCheckbox". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current sharedSearchCheckbox value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setSharedSearchTitle

    public SavedSearchEditor setSharedSearchTitle(String sharedSearchTitle) throws IllegalStateException
    Title for the `sharedSearchCheckbox`.
    Parameters:
      `sharedSearchTitle` - New sharedSearchTitle value. Default value is "Shared view (all users will see it)"
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getSharedSearchTitle

    public String getSharedSearchTitle()
    Title for the `sharedSearchCheckbox`.
    Returns:
      Current sharedSearchTitle value. Default value is "Shared view (all users will see it)"

  - ### setValidationFailedMessage

    public SavedSearchEditor setValidationFailedMessage(String validationFailedMessage)
    Notification message to show to the user in a warn dialog when an attempted save fails due to server validation error(s).

    Validation errors will be appended to this string in the format fieldName: errorMessage.

    Parameters:
      `validationFailedMessage` - New validationFailedMessage value. Default value is "A validation failure occurred:<br>"
    Returns:
      `SavedSearchEditor` instance, for chaining setter calls

  - ### getValidationFailedMessage

    public String getValidationFailedMessage()
    Notification message to show to the user in a warn dialog when an attempted save fails due to server validation error(s).

    Validation errors will be appended to this string in the format fieldName: errorMessage.

    Returns:
      Current validationFailedMessage value. Default value is "A validation failure occurred:<br>"

  - ### setDefaultProperties

    public static void setDefaultProperties(SavedSearchEditor savedSearchEditorProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `savedSearchEditorProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(SavedSearchEditorLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `VLayout`